CEL: Crystal Entity Layer: iCelEntityList Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelEntityList Struct Reference

A list of entities. More...

`#include <physicallayer/entity.h>`

List of all members.

## Public Member Functions
virtual size_t | Add (iCelEntity *obj)=0
| Add an entity.
virtual size_t | Find (iCelEntity *obj) const =0
| Find an entity and return its index.
virtual iCelEntity * | FindByName (const char *Name) const =0
| Find an entity by name.
virtual iCelEntity * | Get (size_t n) const =0
| Return an entity class by index.
virtual size_t | GetCount () const =0
| Get the number of entities in this list.
virtual bool | Remove (size_t n)=0
| Remove the nth entity.
virtual bool | Remove (iCelEntity *obj)=0
| Remove an entity.
virtual void | RemoveAll ()=0
| Remove all entities.

## Detailed Description

A list of entities.

An iCelEntityList represents a list of entities. It defines an interface to Add and Remove entities to or from the list, and also to find either the index of an Entity in the list, or get a pointer to an Entity in the list.

Definition at line 110 of file entity.h.

## Member Function Documentation

virtual size_t iCelEntityList::Add | ( | iCelEntity * | obj | ) | `[pure virtual]`

  | Add an entity. Add will take a pointer to an iCelEntity and add this Entity to the list. Parameters:
  | obj | A pointer to an iCelEntity to be added to the list.
Returns: ???

virtual size_t iCelEntityList::Find | ( | iCelEntity * | obj | ) | const`[pure virtual]`

  | Find an entity and return its index. Find will return the index to the Entity pointed to by obj in the list. Parameters:
  | obj | A pointer to an iCelEntity to find in the list
Returns: The Entities index within the list

virtual iCelEntity* iCelEntityList::FindByName | ( | const char * | Name | ) | const`[pure virtual]`

  | Find an entity by name. FindByName will return the index to the Entity named by Name in the list. Parameters:
  | Name | A name of an Entity to find in the list
Returns: A pointer to the iCelEntity named

virtual iCelEntity* iCelEntityList::Get | ( | size_t | n | ) | const`[pure virtual]`

  | Return an entity class by index. Get will return a pointer to the iCelEntity at index n in the list. Parameters:
  | n | An index in the list
Returns: A pointer to the iCelEntity at that location in the list.

virtual size_t iCelEntityList::GetCount | ( |  | ) | const`[pure virtual]`

| Get the number of entities in this list. Returns: The number of entities in the list, as an integer.

virtual bool iCelEntityList::Remove | ( | size_t | n | ) | `[pure virtual]`

  | Remove the nth entity. Remove will remove the iCelEntity at index n from the list. Parameters:
  | n | An index in the list
Returns: True upon Success, or False upon Failure

virtual bool iCelEntityList::Remove | ( | iCelEntity * | obj | ) | `[pure virtual]`

  | Remove an entity. Remove will remove the iCelEntity pointed to by obj from the list. Parameters:
  | obj | A pointer to an iCelEntity to be removed from the list
Returns: True upon Success, or False upon Failure

virtual void iCelEntityList::RemoveAll | ( |  | ) | `[pure virtual]`

| Remove all entities. RemoveAll will remove ALL Entities from the list.

The documentation for this struct was generated from the following file:

- physicallayer/entity.h